#!/usr/bin/env python3

"""
List of regex matching first-party trackers.
"""

# Syntax: https://docs.python.org/3/library/re.html#regular-expression-syntax

REGEXES = [
    r'^.+\.eulerian\.net\.$',  # Eulerian
    r'^.+\.criteo\.com\.$',  # Criteo
    r'^.+\.dnsdelegation\.io\.$',  # Criteo
    r'^.+\.keyade\.com\.$',  # Keyade
    r'^.+\.omtrdc\.net\.$',  # Adobe Experience Cloud
    r'^.+\.bp01\.net\.$',  # NP6
    r'^.+\.ati-host\.net\.$',  # Xiti (AT Internet)
    r'^.+\.at-o\.net\.$',  # Xiti (AT Internet)
    r'^.+\.edgkey\.net\.$',  # Edgekey (Akamai)
    r'^.+\.akaimaiedge\.net\.$',  # Edgekey (Akamai)
    r'^.+\.storetail\.io\.$',  # Storetail (Criteo)
]
